Skip to content
Carts & CheckoutOrders

Pay order balance

Starts a payment for the balance due of the order behind a signed status link. Returns the provider URL when the payment continues outside the store.

POST/v1/orders/status/{statusToken}/payment
No token

Path Parameters

statusToken*string

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://storefront.ecomiq.pe/v1/orders/status/replace_with_the_issued_token/payment" \  -H "x-Store-Domain: my-store" \  -H "Content-Type: application/json" \  -d '{    "paymentMethodCode": "POL-001",    "token": "replace_with_the_issued_token",    "providerPaymentMethodId": "7204558912004328622",    "deviceSessionId": "7204558912004329776"  }'
{  "actionUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",  "isCaptured": false,  "transactionId": "7204558912004323150",  "externalId": "7204558912004323067",  "actionKind": "none",  "providerId": "7204558912004329705",  "publicConfiguration": {    "key": "Mi tienda"  },  "clientSecret": "replace_with_a_random_secret"}